/*!
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
import React from 'react';
import i18n from 'nfvo-utils/i18n/i18n.js';
import Input from 'nfvo-components/input/validation/Input.jsx';
import GridSection from 'nfvo-components/grid/GridSection.jsx';
import GridItem from 'nfvo-components/grid/GridItem.jsx';

const IpConfig = ({dataMap, onQDataChanged}) => {
	return (
		<GridSection title={i18n('IP Configuration')}>
				<GridItem>
					<Input
						label={i18n('IPv4 Required')}
						type='checkbox'
						onChange={value => onQDataChanged({'ipConfiguration/ipv4Required' : value})}
						data-test-id='ipConfiguration-ipv4Required'
						value={dataMap['ipConfiguration/ipv4Required']} />
				</GridItem>
				<GridItem>
					<Input
						label={i18n('IPv6 Required')}
						type='checkbox'
						data-test-id='ipConfiguration-ipv6Required'
						onChange={value => onQDataChanged({'ipConfiguration/ipv6Required' : value})}
						value={dataMap['ipConfiguration/ipv6Required']} />
				</GridItem>
		</GridSection>
	);
};

export default IpConfig;
